## org.eclipse.jst.jsf.facesconfig.emf.impl
Class DynamicAttributeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.DynamicAttributeImpl

All Implemented Interfaces:
  DynamicAttribute

    public class DynamicAttributeImpl

extends EObjectImpl
implements DynamicAttribute

An implementation of the model object 'Dynamic Attribute'.

The following features are implemented:

- `Name`
- `Value`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`void` `setName(java.lang.String newName)`
`void` `setValue(java.lang.String newValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `DynamicAttribute`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `DynamicAttribute.setName(String)`, `FacesConfigPackage.getDynamicAttribute_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `DynamicAttribute`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `DynamicAttribute.getName()`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `DynamicAttribute`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `DynamicAttribute.setValue(String)`, `FacesConfigPackage.getDynamicAttribute_Value()`

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    `setValue` in interface `DynamicAttribute`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `DynamicAttribute.getValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()